cat >plotfile<<!
# set term postscript enhanced eps colour lw 2 "Helvetica" 20
# set output "optics.eps"

set xrange [0:15]

plot "chi0.dat"   using (\$1):(\$3)  w lp lt -1 lw 1 pt 4 lc -1 title "IPA real", \
     "chi0.dat"   using (\$1):(-\$2) w lp lt  0 lw 2 pt 4 lc -1 title "IPA imag", \
     "chi.dat"    using (\$1):(\$3)  w lp lt -1 lw 1 pt 2 lc  1 title "RPA real", \
     "chi.dat"    using (\$1):(-\$2) w lp lt  0 lw 2 pt 2 lc  1 title "RPA imag", \
     "optics.dat" using (\$1):(\$3)  w l  lt -1 lw 1      lc  3 title "IPA real", \
     "optics.dat" using (\$1):(-\$2) w l  lt  0 lw 2      lc  3 title "IAP imag"

!

gnuplot -persist plotfile
